#include "Ability.h"

PrecastData::PrecastData(){};
PrecastData::PrecastData(float castTime)
	:castTime(castTime),range(0),size(0){precastTargetingRequired=true;};
PrecastData::PrecastData(float castTime,float range,float size)
	:castTime(castTime),range(range),size(size){
		if(castTime>0)precastTargetingRequired=true;
	};

Ability::Ability(){};
Ability::Ability(std::string name,float cooldownTime,int manaCost,Pixel barColor1,Pixel barColor2,PrecastData precastInfo)
	:name(name),cooldown(0),COOLDOWN_TIME(cooldownTime),manaCost(manaCost),barColor1(barColor1),barColor2(barColor2),precastInfo(precastInfo){}